<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<!-- rscp_image_input_log -->
<mapper namespace="com.upyuns.platform.rs.datacenter.mapper.RscpMosaicimageMapper">
    <!-- This code was generated by TableGo tools, mark 1 begin. -->
    <!-- 字段映射 -->
    <resultMap id="rscpMosaicimageMap" type="com.upyuns.platform.rs.datacenter.entity.RscpMosaicimage">
        <id column="id" jdbcType="BIGINT" property="id" />
        <result column="title" jdbcType="VARCHAR" property="title" />
        <result column="resourcename" jdbcType="VARCHAR" property="resourcename" />
        <result column="srs" jdbcType="VARCHAR" property="srs" />
        <result column="extent_srs" jdbcType="VARCHAR" property="extentSrs" />
        <result column="extent" jdbcType="VARCHAR" property="extent" />
        <result column="status" jdbcType="SMALLINT" property="status" />
        <result column="data_path" jdbcType="VARCHAR" property="dataPath" />
        <result column="metajson" jdbcType="VARCHAR" property="metajson" />
        <result column="order_id" jdbcType="VARCHAR" property="orderId" />
        <result column="record_id" jdbcType="VARCHAR" property="recordId" />
        <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
        <result column="start_time" jdbcType="VARCHAR" property="startTime" />
        <result column="end_time" jdbcType="VARCHAR" property="endTime" />
        <result column="area_code" jdbcType="VARCHAR" property="areaCode" />
        <result column="area_name" jdbcType="VARCHAR" property="areaName" />
        <result column="resolution" jdbcType="VARCHAR" property="resolution" />
        <result column="layers" jdbcType="VARCHAR" property="layers" />
        <result column="finish_time" jdbcType="TIMESTAMP" property="finishTime" />
        <result column="url" jdbcType="VARCHAR" property="url" />
    </resultMap>
    <!-- This code was generated by TableGo tools, mark 1 end. -->
    
    <!-- This code was generated by TableGo tools, mark 2 begin. -->
    <!-- 表查询字段 -->
<!--    <sql id="allColumns">-->
<!--        riil.id, riil.crt_time, riil.upd_time, riil.status, riil.context_json-->
<!--    </sql>-->
    <!-- This code was generated by TableGo tools, mark 2 end. -->
    
</mapper>